html
  head
    title Expressasfas
    link(rel='stylesheet' href='https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css')
    script(src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js')
    script(src='https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js')
  body
    .jumbotron.text-center
      h1 Login page tools
      p Resize this responsive page to see the effect!
    .container
      .row
        .col-sm-12
          form
            .form-group
              label(for='email') Email address
              input#email.form-control(type='email' aria-describedby='emailHelp' placeholder='Enter email' value='')
              small#emailHelp.form-text.text-muted We'll never share your email with anyone else.
            .form-group
              label(for='password') Password
              input#password.form-control(type='password' placeholder='Password' value='')
            button#btn_login.btn.btn-primary(type='button')
              | Submit
    script.
      localStorage.setItem("access_token", "");
      localStorage.setItem("expires_in", "");

      $("#btn_check").click(function () {
        const access_token = localStorage.getItem("access_token");
        const expires_in = localStorage.getItem("expires_in");
        console.log(access_token);
        console.log(expires_in);
      });

      $("#btn_login").click(function () {
        const email = $("#email").val();
        const password = $("#password").val();
        console.log("eiei " + email);
        console.log("eiei " + password);
        login(email, password);
      });

      function login(email, password) {
        $.ajax({
          url: "users/login",
          method: "POST",
          dataType: "json",
          data: {
            email: email,
            password: password,
          },
          success: function (data, status, xhr) {
            if (xhr.status == 200 && data.result == true) {
              localStorage.setItem("access_token", data.access_token);
              localStorage.setItem("expires_in", data.expires_in);
              localStorage.setItem("user_id", data.id);
              localStorage.setItem("name", data.name);
              localStorage.setItem("email", data.email);
              //window.location.replace("home");
            }
            console.log(data.result);
            console.log(status);
            console.log(xhr.status);
          },
          error: function (xhr, ajaxOptions, thrownError) {
            console.log(xhr.status);
            console.log(thrownError);
          },
        });
      }
